Retrieves a Flight based on flight-id
Path Parameters
Unique numeric id of flight
Match pattern:^[0-9]+$
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
Flight
Public flight information.
Time of the last update to the flight in the flight information system.
Actual landing time (ALDT): the time the aircraft landed on the runway. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Actual off-block time (AOBT): the actual departure time from Amsterdam Airport Schiphol. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Registration of the aircraft that operates the main flight. Example: PHTFA.
Aircraft type that operates the main flight.
Show Child Parameters
Baggage reclaim information for an arriving flight.
Show Child Parameters
Check-in desk allocations for the flight or its codeshare flights.
Show Child Parameters
Codeshare flights related to the main flight.
Show Child Parameters
Estimated landing time (ELDT) of an arriving flight at Amsterdam Airport Schiphol. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Expected time that passenger boarding starts. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Expected time that the flight handler closes the gate. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Expected time that the flight handler opens the gate. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Expected time that the first baggage from the flight is on the reclaim belt. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
expected security filter
Direction of the flight: A = arrival, D = departure.
Allowed values:AD
Flight name as shown on the passenger’s ticket. Example: KL672.
Numeric part of the flight name. Example: 672.
Gate from which passengers board the departing flight. Example: C12.
Unique identifier of the flight.
Indicates whether the flight is operational (true) or non-operational (false).
For a codeshare, the flight name of the airline that operates the flight.
Two-character IATA prefix of the operating airline. Example: KL.
Three-character ICAO prefix of the operating airline. Example: KLM.
Numeric NVLS code of the airline.
Publicly displayed expected departure time of a departing flight. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Public status of the flight.
Show Child Parameters
Route information for the flight.
Show Child Parameters
Scheduled departure or arrival date and time. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ
Date on which the flight is scheduled to operate. Format: yyyy-MM-dd. Example: 2015-06-17.
Time the flight is scheduled to depart or arrive. Format: hh:mm:ss. Example: 15:25:00.
The service type category of the commercial flight. For example: J = Passenger Line, C = Passenger Charter, F = Freight Line and H = Freight Charter.
Schiphol terminal number used for departure or arrival.
Transfer desks allocated to the flight.
Show Child Parameters
Schema version of the API.
Authentication
Path Parameters
Headers
Retrieve flight IDs based on a datetime range
Returns a list of flight IDs for flights scheduled within the specified datetime range (filters on scheduleDateTime). Max date range is three days.
Query Parameters
From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss
To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
List of flight IDs
Authentication
Query Parameters
Headers
Retrieves flights for a specific date
Retrieves flights for a specific date. If scheduleDate is provided as query parameter, it will retrieve flights for that date. If not provided it is defaulted to today. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to today if not provided
See: scheduleDate. Prefer scheduleDate. If both scheduleDate and scheduledate are used scheduleDate takes precedence
Scheduled time to get flights from. Format: HH:mm
Flight number as printed on the ticket
>= 5 characters<= 8 characters
See: flightName. Prefer flightName. If both flightName and flightname are used flightName takes precedence
>= 5 characters<= 8 characters
Direction of the flight
Allowed values:AD
See: flightDirection. Prefer using flightDirection. If both flightDirection and flightdirection are used flightDirection takes precedence
Allowed values:AD
Prefix in flight number as printed on the ticket. For exmaple: KL. This can either be a 2-character (IATA) airline prefix or 3-character (ICAO) airline prefix. Only one airline (or airlineCode) can be queried at the same time.
>= 2 characters<= 3 characters
NVLS code of an airliner.
IATA or ICAO code of airport in route; multiple values, comma separated
>= 1 characters
Include flights of earlier an scheduleDate when these have enough delay to shift to the date that is queried upon.
Default:false
See: includedelays. Prefer includedelays. If both includeDelays and includeDelays are used, includedelays take precedence.
Default:false
Page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed values are flightName, scheduleDate, scheduleTime, flightDirection, mainFlight, airlineCode, id, and all fields from the searchDateTimeField parameter. Use plus or minus sign to indicate ascending or descending order. Multiple fields are allowed and should be separated by a comma. For example “-scheduleDate, +scheduleTime”.
Match pattern:^((\+|-| )?(flightName|scheduleDate|scheduleTime|flightDirection|mainFlight|airlineCode|id|estimatedLandingTime|actualLandingTime|publicEstimatedOffBlockTime|actualOffBlockTime|expectedTimeBoarding|expectedTimeGateClosing|expectedTimeGateOpen|expectedTimeOnBelt|scheduleDateTime|lastUpdatedAt)(,|$))+$
Default:+scheduleTime
From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss
To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss
Query by a specific DateTime field. Allowed fields are estimatedLandingTime, actualLandingTime, publicEstimatedOffBlockTime, actualOffBlockTime, expectedTimeBoarding, expectedTimeGateClosing, expectedTimeGateOpen, expectedTimeOnBelt, scheduleDateTime, lastUpdatedAt
Allowed values:estimatedLandingTimeactualLandingTimepublicEstimatedOffBlockTimeactualOffBlockTimeexpectedTimeBoardingexpectedTimeGateClosingexpectedTimeGateOpenexpectedTimeOnBeltscheduleDateTimelastUpdatedAt
Query by ScheduleDate range.
Query by ScheduleDate range
Query based on operational/non-operational flights.true for operational and false for non-operational flights
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
FlightList
Public flight information.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves list of airlines
Retrieves a list of airlines. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”
Query Parameters
page number
Default:0
>= 0<= 499
Specifies which field to use for sorting. Allowed fields are publicName, iata, icao and nvls. Use plus or minus sign to indicate ascending or descending order.
Match pattern:^((\+|-| )?(publicName|iata|icao|nvls)(,|$))+$
Default:+iata
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
AirlineList
Passenger airline operating to or from Amsterdam Airport Schiphol.
Show Child Parameters
Authentication
Query Parameters
Headers
Retrieves airline based on code (IATA or ICAO)
Retrieve airline based on IATA code or ICAO code.
Path Parameters
IATA / ICAO code
>= 2 characters<= 3 characters
Headers
Only ‘application/json’ is allowed
Example:application/json
Response
application/json
Response
OK
Airline
Passenger airline operating to or from Amsterdam Airport Schiphol.
Two-character IATA airline code. Example: KL.
Three-letter ICAO airline code. Example: KLM.
Numeric NVLS airline code.
Public name of the airline. Example: KLM.